package com.pj.api.dto;


import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 普通边民
 * @Author Mechrevo
 * @Date 2023 08 01 09 59
 **/
public class PeopleDto {
    public PeopleDto(Long id, Long tradeAreaId, String tradeAreaName, String borderName, String code, Integer gencd, Integer age, String idCardNo, String idCardImg, String borderTel, String bankNo, String bankCode, String bankName, Long groupId, String groupName, Integer status, Integer role, Double lng, Double lat, String lastLocation, String address, String addressIds, String detailAddress, Integer isLock, Double leftPrice, Integer judgeStatus, String judgeContent, Date registerTime, Date judgeTime, String personId, Date createTime, String createBy, String createName, Date updateTime, String updateBy, String updateName, Integer deleteStatus, String platSeqNo, Date startDate, Date endDate, String idcdGcertPgoffNm, String birplAddr, String customsCode, Date expiry, String putrecNo, String localGovernmentNo, String filingStatus, String fieldCode) {
        this.id = id;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.borderName = borderName;
        this.code = code;
        this.gencd = gencd;
        this.age = age;
        this.idCardNo = idCardNo;
        this.idCardImg = idCardImg;
        this.borderTel = borderTel;
        this.bankNo = bankNo;
        this.bankCode = bankCode;
        this.bankName = bankName;
        this.groupId = groupId;
        this.groupName = groupName;
        this.status = status;
        this.role = role;
        this.lng = lng;
        this.lat = lat;
        this.lastLocation = lastLocation;
        this.address = address;
        this.addressIds = addressIds;
        this.detailAddress = detailAddress;
        this.isLock = isLock;
        this.leftPrice = leftPrice;
        this.judgeStatus = judgeStatus;
        this.judgeContent = judgeContent;
        this.registerTime = registerTime;
        this.judgeTime = judgeTime;
        this.personId = personId;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.deleteStatus = deleteStatus;
        this.platSeqNo = platSeqNo;
        this.startDate = startDate;
        this.endDate = endDate;
        this.idcdGcertPgoffNm = idcdGcertPgoffNm;
        this.birplAddr = birplAddr;
        this.customsCode = customsCode;
        this.expiry = expiry;
        this.putrecNo = putrecNo;
        this.localGovernmentNo = localGovernmentNo;
        this.filingStatus = filingStatus;
        this.fieldCode = fieldCode;
    }

    public PeopleDto() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public String getBorderName() {
        return borderName;
    }

    public void setBorderName(String borderName) {
        this.borderName = borderName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getGencd() {
        return gencd;
    }

    public void setGencd(Integer gencd) {
        this.gencd = gencd;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public String getIdCardImg() {
        return idCardImg;
    }

    public void setIdCardImg(String idCardImg) {
        this.idCardImg = idCardImg;
    }

    public String getBorderTel() {
        return borderTel;
    }

    public void setBorderTel(String borderTel) {
        this.borderTel = borderTel;
    }

    public String getBankNo() {
        return bankNo;
    }

    public void setBankNo(String bankNo) {
        this.bankNo = bankNo;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public String getLastLocation() {
        return lastLocation;
    }

    public void setLastLocation(String lastLocation) {
        this.lastLocation = lastLocation;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddressIds() {
        return addressIds;
    }

    public void setAddressIds(String addressIds) {
        this.addressIds = addressIds;
    }

    public String getDetailAddress() {
        return detailAddress;
    }

    public void setDetailAddress(String detailAddress) {
        this.detailAddress = detailAddress;
    }

    public Integer getIsLock() {
        return isLock;
    }

    public void setIsLock(Integer isLock) {
        this.isLock = isLock;
    }

    public Double getLeftPrice() {
        return leftPrice;
    }

    public void setLeftPrice(Double leftPrice) {
        this.leftPrice = leftPrice;
    }

    public Integer getJudgeStatus() {
        return judgeStatus;
    }

    public void setJudgeStatus(Integer judgeStatus) {
        this.judgeStatus = judgeStatus;
    }

    public String getJudgeContent() {
        return judgeContent;
    }

    public void setJudgeContent(String judgeContent) {
        this.judgeContent = judgeContent;
    }

    public Date getRegisterTime() {
        return registerTime;
    }

    public void setRegisterTime(Date registerTime) {
        this.registerTime = registerTime;
    }

    public Date getJudgeTime() {
        return judgeTime;
    }

    public void setJudgeTime(Date judgeTime) {
        this.judgeTime = judgeTime;
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getIdcdGcertPgoffNm() {
        return idcdGcertPgoffNm;
    }

    public void setIdcdGcertPgoffNm(String idcdGcertPgoffNm) {
        this.idcdGcertPgoffNm = idcdGcertPgoffNm;
    }

    public String getBirplAddr() {
        return birplAddr;
    }

    public void setBirplAddr(String birplAddr) {
        this.birplAddr = birplAddr;
    }

    public String getCustomsCode() {
        return customsCode;
    }

    public void setCustomsCode(String customsCode) {
        this.customsCode = customsCode;
    }

    public Date getExpiry() {
        return expiry;
    }

    public void setExpiry(Date expiry) {
        this.expiry = expiry;
    }

    public String getPutrecNo() {
        return putrecNo;
    }

    public void setPutrecNo(String putrecNo) {
        this.putrecNo = putrecNo;
    }

    public String getLocalGovernmentNo() {
        return localGovernmentNo;
    }

    public void setLocalGovernmentNo(String localGovernmentNo) {
        this.localGovernmentNo = localGovernmentNo;
    }

    public String getFilingStatus() {
        return filingStatus;
    }

    public void setFilingStatus(String filingStatus) {
        this.filingStatus = filingStatus;
    }

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    private Long id;

    /**
     * 互市区id
     */
    private Long tradeAreaId;

    /**
     * 互市区名称
     */
    private String tradeAreaName;

    /**
     * 姓名
     */
    private String borderName;

    /**
     * 边民号
     */
    private String code;

    /**
     * 性别(1=男,2=女)
     */
    private Integer gencd;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 身份证
     */
    private String idCardNo;

    /**
     * 身份证复印件
     */
    private String idCardImg;

    /**
     * 手机号码
     */
    private String borderTel;

    /**
     * 银行编号
     */
    private String bankNo;

    /**
     * 银行卡号
     */
    private String bankCode;

    /**
     * 银行名称
     */
    private String bankName;

    /**
     * 所属互助组(1=测试组)
     */
    private Long groupId;

    /**
     * 互助组名称
     */
    private String groupName;

    /**
     * 是否可用(0=否,1=是)
     */
    private Integer status;

    /**
     * 角色(1=普通边民,2=兼组长)
     */
    private Integer role;

    /**
     * 经度
     */
    private Double lng;

    /**
     * 纬度
     */
    private Double lat;

    /**
     * 最后一次下单定位
     */
    private String lastLocation;

    /**
     * 联系地址
     */
    private String address;

    /**
     * 地址ID
     */
    private String addressIds;

    /**
     * 详细地址
     */
    private String detailAddress;

    /**
     * 是否锁定
     */
    private Integer isLock;

    /**
     * 当天剩余额度
     */
    private Double leftPrice;

    /**
     * 审核状态
     */
    private Integer judgeStatus;

    /**
     * 审核不通过内容
     */
    private String judgeContent;

    /**
     * 注册时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;

    /**
     * 审核时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date judgeTime;

    /**
     * 审核人ID
     */
    private String personId;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 创建人编号
     */
    private String createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 更新人编号
     */
    private String updateBy;

    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 地方平台的内部业务编号，每次申请都是新编号
     */
    private String platSeqNo;

    /**
     * 身份证有效期起，身份证有效期起必须小于身份证有效期止;格式：yyyy-MM-dd
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startDate;

    /**
     * 身份证有效期止，身份证有效期止必须大于身份证有效期起;格式：yyyy-MM-dd
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endDate;

    /**
     * 身份证发证机关
     */
    private String idcdGcertPgoffNm;

    /**
     * 户籍地址
     */
    private String birplAddr;

    /**
     * 关区代码，参见关区代码表
     */
    private String customsCode;

    /**
     * 有 效 效 截 止 时 间yyyy-MM-dd
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date expiry;

    /**
     * 备案编号，如果为新增备案，传空值；如果为变更备案，必须传值；
     */
    private String putrecNo;

    /**
     * 地方政府编号
     */
    private String localGovernmentNo;

    /**
     * 备案状态：默认 0=待申报，1=已申报，2=备案通过，3=备案失败
     */
    private String filingStatus;

    /**
     *  场所编码
     */
    private String fieldCode;





}
